php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #18009 no checks appear to be done on API for modules
Submitted: 2002-06-27 00:29 UTC Modified: 2002-06-27 21:53 UTC
From: alan at akbkhome dot com Assigned:
Status: Closed Package: Dynamic loading
PHP Version: 4.0CVS-2002-06-27 OS: linux
Private report: No CVE-ID: None
 [2002-06-27 00:29 UTC] alan at akbkhome dot com
just upgrade to 4.3-dev to test, and forgot to build the mysql module.

after a bit of testing it was segfaulting (Cause it was using an old 4.2 mysql.so module)

after rebuilding the mysql.so module for 4.3 it runs ok.

Is it missing an API check or has the API changed and the number not been updated?

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2002-06-27 02:17 UTC] derick@php.net
Was it a 4.2.1. or 4.2.0 module?

Derick
 [2002-06-27 02:23 UTC] alan at akbkhome dot com
probably 4.2.0RC4
 [2002-06-27 21:53 UTC] sniper@php.net
Just updated the api number. Should complain now.
(I don't know if it should be higher than in 4.2.1 though)

 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Mon Sep 28 09:01:25 2020 UTC